var picker = new mui.PopPicker();
var addressEle = document.getElementsByClassName('search-address')[0];
addressEle.addEventListener('tap', function() {
	picker.show(function(SelectedItem) {
		document.getElementById('search-input').value = SelectedItem[0].text;
		document.getElementById('search-input').setAttribute('data-id', SelectedItem[0].value);
	})
});
mui.ajax('' + devHost + '/rmic/citySearch', {
	dataType: 'json', //服务器返回json格式数据
	type: 'get', //HTTP请求类型
	timeout: 5000, //超时时间设置为10秒；
	headers: {
		'Content-Type': 'application/json'
	},
	success: function(data) {
		if(data.code == 0) {
			var cityArr = [];
			var res = data.result;
			res.forEach(function(e) {
				cityArr.push({
					value: '' + e.CITY_ID + '',
					text: '' + e.CITY_NAME + ''
				})
			})
			picker.setData(cityArr);
		} else {
			mui.toast('' + data.code + ' ' + data.msg + '', {
				duration: 'short',
				type: 'div'
			})
		}
	},
	error: function(xhr, type, errorThrown) {
		//异常处理；
		zmkm.toast('408', '请求超时，请稍后再试！')
	}
});
//人数
var picker1 = new mui.PopPicker();
picker1.setData([{
	value: "1",
	text: "1人"
}, {
	value: "2",
	text: "2人"
}, {
	value: "3",
	text: "3人"
}, {
	value: "4",
	text: "4人"
}, {
	value: "5",
	text: "5人"
}, {
	value: "6",
	text: "6人"
}, {
	value: "7",
	text: "7人"
}, {
	value: "8",
	text: "9人"
}, {
	value: "9",
	text: "9人"
}])
var personEle = document.getElementById('search-person');
personEle.addEventListener('tap', function() {
	picker1.show(function(SelectedItem) {
		personEle.value = SelectedItem[0].text;
		personEle.setAttribute('data-value', SelectedItem[0].value);
	})
});

//确定按钮
document.getElementsByClassName('search-btn')[0].addEventListener('tap', function() {
	var cityEle = document.getElementById('search-input');
	var dateEle = document.getElementById('show-calendar');
	var personEle = document.getElementById('search-person');
	var keywordEle = document.getElementById('search-keyword');
	if(cityEle.value == '' || cityEle.value.length == 0) {
		zmkm.toast('请选择城市！');
		return false
	} else if(dateEle.value.length == 0) {
		zmkm.toast('请选择日期');
		return false;
	}
	var cityId = cityEle.getAttribute('data-id');
	var dateVale = dateEle.value;
	var startdate = dateVale.split('到')[0].trim();
	var enddate = dateVale.split('到')[1].trim();
	var person = personEle.value.length != 0 ? personEle.getAttribute('data-value').trim() : '';
	var keyword = keywordEle.value.trim();
	mui.openWindow({
		url: '../list/list.html',
		id: 1,
		styles: {
			top: '0', //新页面顶部位置
			bottom: '0', //新页面底部位置
		},
		extras: {
			startDate:startdate,
			endDate:enddate,
			cityId:cityId,
			personQty:person,
			keyWords:keyword,
			
		},
		createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
		show: {
			autoShow: true, //页面loaded事件发生后自动显示，默认为true
		},
		waiting: {
			autoShow: true, //自动显示等待框，默认为true
			title: '正在加载...', //等待对话框上显示的提示内容
		}
	})
})

//返回按钮
//日历
;
(function() {
	var priceData = null;

	function fn(timeArry, indexArry) {
		var startDate = timeArry[0].replace(/\//g, '-');
		var endDate = timeArry[1].replace(/\//g, '-');
		localStorage.setItem('startDate', startDate);
		localStorage.setItem('endDate', endDate);
		document.querySelector('#show-calendar').value = '' + startDate + '到' + endDate + ''
		//		console.log(indexArry);
		var calendarWraper = document.querySelector('#calendar-wraper');
		calendarWraper.style.display = 'none';
		calendarBackdrop.style.display = 'none';
	}
	var calendarBackdrop = document.querySelector('#calendar-backdrop'),
		showCalendar = document.querySelector('#show-calendar');
	showCalendar.addEventListener('tap', function() {
		try {
			var calendarWraper = document.querySelector('#calendar-wraper');
			document.body.removeChild(calendarWraper);
		} catch(e) {
			var calendar = new Calendar({
				step: 6,
				leastDays: 1,
				callback: fn,
				priceData: null
			}).init();
			var calendarWraper = document.querySelector('#calendar-wraper');
			calendarWraper.style.display = 'block';
			calendarBackdrop.style.display = 'block';
			calendarBackdrop.addEventListener('tap', function() {
				document.body.removeChild(calendarWraper);
				this.style.display = 'none';
			})
		}
	})
	showCalendar = null;
})();