var webviewself = plus.webview.currentWebview();
var roomId = webviewself.roomId;
//位置
var vm = new Vue({
	el: '.room',
	data: {
		imgList: [],
		roomDetails: {},
		bedQty: {},
		bedDetails: {},
		facilityAry: [],
		evalScore: {},
		lastEval: {},
		msg: '',
	},
	mounted: function() {
		//存储前一页和当前页
		var pre=localStorage.getItem('now_page');
		localStorage.setItem('pre_page',pre);
		localStorage.setItem('now_page','room');
		mui.ajax('' + devHost + '/rmic/detail?roomId=' + roomId + '', {
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			//aysnc:ture,
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				if(data.code == 0) {
					vm.imgList = data.result.IMG;
					vm.roomDetails = data.result.ROOM_DETAILS;
					vm.bedQty = data.result.BED_QTY;
					vm.bedDetails = data.result.BED_DETAILS;
					vm.facilityAry = data.result.FACILITY;
					vm.evalScore = data.result.EVAL_SCORE;
					vm.lastEval = data.result.LAST_EVAL;
				} else {
					zmkm.toast(data.code, data.msg);
				}
			},
			error: function(xhr, type, errorThrown) {
				zmkm.toast('请求异常！！！');
			}
		});
	},
	updated: function() {
		//滚动图片
		var mySwiper = new Swiper(".swiper-container", {
			// speed: 5000,
			// spaceBetween: 100,
			autoplay: 3000,
			pagination: {
				el: ".swiper-pagination",
				type: "fraction"
			}
		});
		// 百度地图API功能
		var map = new BMap.Map("allmap");
		var point = new BMap.Point(vm.roomDetails.LONGITUDE, vm.roomDetails.LATITUDE);
		map.centerAndZoom(point, 16);
		var marker = new BMap.Marker(point); // 创建标注
		map.addOverlay(marker); // 将标注添加到地图中
	}
});
var orderBtn = document.getElementsByClassName('room_order_btn')[0];
orderBtn.addEventListener('tap', function() {
	location.href = "../place_order/place_order_write.html?roomId=" + roomId + "";
})
//日历
;
(function() {
	var priceData = null;

	function fn(timeArry, indexArry) {
		var startDate = timeArry[0].replace(/\//g, '-');
		var endDate = timeArry[1].replace(/\//g, '-');
		var startDate1 = startDate.substring('5');
		var endDate1 = endDate.substring('5');
		localStorage.setItem('startDate', startDate);
		localStorage.setItem('endDate', endDate);
		var calendarWraper = document.querySelector('#calendar-wraper');
		calendarWraper.style.display = 'none';
		calendarBackdrop.style.display = 'none';
	}
	var priceAry = '';
	mui.ajax('' + devHost + '/rmic/grsc?roomId=' + roomId + '', {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		//aysnc:ture,
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(data) {
			if(data.code == 0) {
				priceAry = data.result.priceAry;
			} else {
				zmkm.toast(data.code, data.msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			zmkm.toast('请求异常！！！');
		}
	});
	var calendarBackdrop = document.querySelector('#calendar-backdrop'),
		showCalendar = document.querySelector('#show-calendar');
	showCalendar.addEventListener('tap', function() {
		try {
			var calendarWraper = document.querySelector('#calendar-wraper');
			document.body.removeChild(calendarWraper);
		} catch(e) {
			var calendar = new Calendar({
				step: 6,
				leastDays: 1,
				callback: fn,
				priceData: priceAry
			}).init();
			var calendarWraper = document.querySelector('#calendar-wraper');
			calendarBackdrop.style.height = document.body.scrollHeight + 'px';
			calendarWraper.style.display = 'block';
			calendarBackdrop.style.display = 'block';

			calendarBackdrop.addEventListener('tap', function() {
				document.body.removeChild(calendarWraper);
				this.style.display = 'none';
			})
		}
	})
	showCalendar = null;
})();
var traffic = document.querySelector('.g_room_info_traffic');
var facility = document.querySelector('.room_facility_box');
closeMore(traffic);
function closeMore(boxEle) {
	document.querySelector('.g_room_more').addEventListener('tap', function() {
		if(this.getAttribute('data-flag') == 0) {
			this.setAttribute('data-flag', '1');
			boxEle.style.height = 'auto';
			this.getElementsByTagName('span')[0].textContent = '收起';
			this.getElementsByTagName('i')[0].className = 'cur';
		} else {
			this.setAttribute('data-flag', '0');
			this.getElementsByTagName('span')[0].textContent = '展开全部';
			boxEle.style.height = '3.75rem';
			this.getElementsByTagName('i')[0].className = '';
		}

	})
	}
		document.querySelector('.room_facility_more').addEventListener('tap', function() {
			if(this.getAttribute('data-flag') == 0) {
				this.setAttribute('data-flag', '1');
				facility.style.height = 'auto';
				this.getElementsByTagName('span')[0].textContent = '收起';
				this.getElementsByTagName('i')[0].className = 'cur';
			} else {
				this.setAttribute('data-flag', '0');
				this.getElementsByTagName('span')[0].textContent = '展开全部';
				facility.style.height = '2.5rem';
				this.getElementsByTagName('i')[0].className = '';
			}
		});
	